@property --border-angle {
    syntax: "<angle>";
    initial-value: 0deg;
    inherits: false;
}

@keyframes spin-border {
    to {
        --border-angle: 360deg;
    }
}

.event-cards {
    position: relative;
}

.event-cards__heading {
    text-align: center;
    margin: 0 0 25px;
}

.event-cards__heading .sub-heading {
    background: transparent;
    background-clip: initial;
    -webkit-background-clip: initial;
    -webkit-text-fill-color: initial;
}

.event-card__image {
    aspect-ratio: 2/1.01;
    border-radius: 8px;
    overflow: hidden;
}

.event-card__content {
    padding: 20px;
}

.event-card__btn {
    width: 39px;
    height: 39px;
    border-radius: var(--border-radius);
    font-size: 15px;
    display: flex;
    align-items: center;
    justify-content: center;
    border: none;
    font-weight: normal;
    background: var(--white);
    position: absolute;
    right: 20px;
    bottom: 20px;
}

.event-card__btn i {
    background: var(--medium-blue-gradient);
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.event-card {
    display: block;
    background: var(--medium-blue-gradient);
    position: relative;
    text-decoration: none;
    border-radius: 8px;
}

.event-card__title {
    font-size: 20px;
    font-weight: 700;
    color: var(--white);
    margin: 0 0 20px;
}

.event-card__date {
    font-size: 16px;
    font-weight: 400;
    color: var(--white);
    margin: 0;
}

.event-card-slider-nav .slick-slide>*+* {
    margin-top: 20px;
}

.event-card-slider-nav .slick-slide {
    vertical-align: top;
}

.event-card__bottom-content {
    margin: 35px 0 0;
    text-align: center;
    padding: 0 0 68px;
}

.event-card-slider-nav .slick-arrow {
    bottom: -157px;
}

@media(min-width: 768px) {
    .event-card-slider-nav .slick-slide>*+* {
        margin-top: 0;
    }

    .event-cards__heading {
        text-align: left;
        margin: 0 0 40px;
    }

    .event-card-slider-nav .slick-slide {
        margin: 0 10px;
        height: auto;
        width: 548px;
    }

    .event-card-slider-nav .slick-slide>*,
    .event-card-slider-nav .event-card-slide,
    .event-card-slider-nav .event-card {
        height: 100%;
    }

    .event-card-slider-nav {
        margin: 0;
    }

    .event-card__image {
        aspect-ratio: 2 / 1;
    }

    .event-card__title {
        font-size: 24px;
        margin: 0 0 10px;
    }

    .event-card__content {
        padding: 20px 43px 20px 22px;
    }

    .event-card-slider-nav .slick-track {
        display: flex;
    }

    .event-card__bottom-content {
        margin: 50px 0 0;
        padding: 0;
    }

    .event-card-slider-nav .slick-arrow {
        bottom: -101px;
    }

    .event-card-slider-nav .slick-next {
        margin-left: 155px;
    }

    .event-card-slider-nav .slick-prev {
        margin-left: -155px;
    }

    .event-card-slider-nav .slick-list {
        width: 2000px;
    }

    .event-card-slider-nav:after {
        content: "";
        position: absolute;
        right: -52px;
        top: 0;
        width: 193px;
        height: 160%;
        background: linear-gradient(90deg, rgba(248, 252, 254, 0) 0%, #F8FCFE 100%);
        pointer-events: none;
    }
}

@media(min-width: 1200px) {
    .event-card__bottom-content {
        margin: 75px 0 0;
        padding-left: 160px;
    }

    .event-card-slider-nav .slick-list {
        width: auto;
        overflow: hidden;
    }

    .event-card-slider-nav .slick-arrow {
        bottom: -132px;
    }

    .event-card-slider-nav .slick-next {
        margin-left: -111px;
    }

    .event-card-slider-nav .slick-prev {
        margin-left: -181px;
    }

    .event-card__title {
        font-size: 28px;
    }

    .event-card__date {
        font-size: 18px;
    }

    .event-card__content {
        padding: 35px 93px 35px 25px;
    }

    .event-card__btn {
        right: 26px;
        bottom: 38px;
    }

    .event-card:hover {
        text-decoration: none;
    }

    .event-card::after {
        content: "";
        position: absolute;
        inset: 0;
        border-radius: 8px;
        padding: 5px;
        background: conic-gradient(
            from var(--border-angle),
            transparent 50%,
            var(--artimus-pink) 75%,
            var(--secondary-color) 92%,
            transparent 100%
        );
        -webkit-mask:
            linear-gradient(#000 0 0) content-box,
            linear-gradient(#000 0 0);
        -webkit-mask-composite: xor;
        mask-composite: exclude;
        pointer-events: none;
        opacity: 0;
        transition: opacity 0.3s ease;
        animation: spin-border 2s linear infinite;
    }

    .event-card:hover::after {
        opacity: 1;
    }

    .event-card:hover .event-card__btn {
        background: var(--pink-gradient);
    }

    .event-card:hover .event-card__btn i {
        color: var(--white);
        background: none;
        -webkit-text-fill-color: unset;
    }


    .event-card__image {
        aspect-ratio: 2 / 1.01;
    }

    .event-cards__heading {
        text-align: left;
        margin: 0 0 55px;
        position: relative;
		z-index: 1
    }

    .event-card-slider-nav .slick-track {
        display: block;
    }


    .event-card-slider-nav .event-card {
        display: flex;
    }

    .event-card-slider-nav .event-card__image {
        aspect-ratio: unset;
        width: 182px;
        height: 150px;
    }

    .event-card-slider-nav .event-card__content {
        width: calc(100% - 182px);
        padding: 10px 108px 10px 20px;
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        justify-content: center;
    }

    .event-card-slider-nav .slick-slide>*,
    .event-card-slider-nav .event-card-slide,
    .event-card-slider-nav .event-card {
        height: auto;
        font-size: 0;
    }

    .event-card-slider-nav .slick-slide {
        margin: 0 0 10px;
    }

    .event-card-slider-nav .event-card__title {
        font-size: 20px;
        margin: 0 0 4px;
    }

    .event-card-slider-nav .event-card__btn {
        right: 30px;
        bottom: unset;
        top: 50%;
        transform: translate(0, -50%);
    }

    .event-card-slider-nav .slick-current .event-card-slide {
        opacity: 0;
        overflow: hidden;
    }

    .event-card-slider-nav {
        margin-top: -160px;
    }

    .event-card-slider-nav:after {
        right: 0;
        width: 100%;
        height: 160px;
        background: var(--off-white);
    }

    .event-card-slider-for .slick-list,
    .event-card-slider-for .slick-track,
    .event-card-slider-for .slick-slide,
    .event-card-slider-for .slick-slide > div,
    .event-card-slider-for .event-card-slide,
    .event-card-slider-for .event-card {
        height: 100% !important;
    }

    .event-card-slider-for .event-card__image {
        height: calc(100% - 169px);
        aspect-ratio: unset;
    }

    .event-card-slider-for .event-card__content {
        min-height: 169px;
    }

    .event-card-slider-nav .slick-arrow {
        left: unset;
        right: 0;
        bottom: unset;
        top: 36px;
        transform: unset;
    }

    .event-card-slider-nav .slick-next {
        margin: 0;
        right: 263px;
    }

    .event-card-slider-nav .slick-prev {
        margin: 0;
        right: 333px;
    }

    .event-cards__heading .btn {
        position: absolute;
        right: 0;
        bottom: 12px;
    }

    .event-card:hover {
        background: var(--white);
    }

    .event-card:hover .event-card__title,
    .event-card:hover .event-card__date {
        color: var(--primary-color);
    }

    .event-cards-slider-wrapper {
        position: relative;
    }

    .event-cards-slider-wrapper:after {
        content: "";
        position: absolute;
        right: -353px;
        bottom: -440px;
        z-index: -1;
        background: radial-gradient(50% 50% at 50% 50%, #E4F4FF 0%, #F8FCFE 100%);
        width: 960px;
        height: 960px;
        border-radius: 50%;
    }
}

@media( min-width: 1380px ) {
    .event-card-slider-nav .event-card__title {
        font-size: 24px;
    }
}